package controllers_join

import (
	"encoding/json"
	"kkscrap-go/controllers"
	models_join "kkscrap-go/models/join"
	"net/http"

	"github.com/dabory/abango-rest"
	"github.com/labstack/echo"
)

func UserMenuPermPage(c echo.Context) error {

	v := c.Get("receiver").(controllers.CommonPageReq)
	y := c.Get("abango").(abango.Controller)

	vRet := &struct {
		models_join.UserMenuPermPageRet
	}{}

	vRet.PageVars = v.PageVars
	if msg, err := vRet.GetUserMenuPermPage(y.Db); err != nil {
		return c.String(607, msg)
	}

	ret, _ := json.Marshal(vRet)
	return c.JSONBlob(http.StatusOK, ret)
}
